void velo001(int iX, int iZ, int iY){
     
    //velo001
	//Damon Vaughn Caskey
	//05/06/2007
	//
	//Replicates movement effect.
	//
	//iX: X axis speed.
	//iZ: Z axis speed.
	//iY: Y axis speed.
	
	void vSelf = getlocalvar("self"); //Get calling entity.
	
	if (getentityproperty(vSelf, "direction")==0){ //Is entity facing right?                  
     
         iX = -iX; ////Reverse X direction to match facing.
         
    }         
	
	changeentityproperty(vSelf, "velocity", iX, iZ, iY); //Apply movement.

}





